#{extends 'border.html'/}
<div class="container">
	
	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{masterdata.PenyediaCtr.index()}">&{'penyedia.label'}</a></li>
				<li class="active">&{'detail_penyedia.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<div class="toolbar">
				#{backButton/}
			</div>
		</div>
	</div>
	
	<div class="row">
		<div class="detail-wrapper">
			<div class="detail-body">
				<div class="col-md-12">
					<div class="panel panel-default">
						<div class="panel-body">
							<ul class="nav nav-tabs" role="tablist">
								<li role="presentation" class="active"><a href="#info-penyedia"
									aria-controls="info-penyedia" role="tab" data-toggle="tab">&{'informasi_penyedia.label'}</a></li>
								<li role="presentation"><a href="#distributor"
									aria-controls="distributor" role="tab" data-toggle="tab">&{'distributor.label'}</a></li>
							</ul>
							
							<div class="tab-content">
								<!-- Informasi Penyedia -->
								<div role="tabpanel" class="tab-pane active" id="info-penyedia">
									<div class="detail-list">
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'rkn_id.label'}</div>
                                                <div class="detail-description col-md-9">${penyedia?.rkn_id != null ? penyedia?.rkn_id : "-"}</div>
                                            </div>
                                        </div>
										<div class="detail-item">
											<div class="row">
												<div class="detail-heading col-md-2">&{'penyedia.label'}</div>
												<div class="detail-description col-md-9">${penyedia?.nama_penyedia != null ? penyedia?.nama_penyedia : "-"}</div>
											</div>
										</div>
										<div class="detail-item">
											<div class="row">
												<div class="detail-heading col-md-2">&{'nama_pengguna.label'}</div>
												<div class="detail-description col-md-9">${penyedia?.username != null ? penyedia?.username : "-"}</div>
											</div>
										</div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'status.label'} &{'penyedia.label'}</div>
                                                <div class="detail-description col-md-9">
													#{if penyedia?.status_penyedia_distributor != null}
														#{if penyedia?.status_penyedia_distributor == "penyedia_dan_distributor"}
															&{'penyedia_dan_distributor.label'}
														#{/if}
														#{elseif penyedia?.status_penyedia_distributor == "penyedia_saja"}
															&{'penyedia_saja.label'}
														#{/elseif}
														#{else penyedia?.status_penyedia_distributor == "distributor_saja"}
															&{'distributor_saja.label'}
														#{/else}
													#{/if}
													#{else}-#{/else}
												</div>
                                            </div>
                                        </div>
										<div class="detail-item">
											<div class="row">
												<div class="detail-heading col-md-2">&{'alamat.label'}</div>
												<div class="detail-description col-md-9">${penyedia?.alamat != null ? penyedia?.alamat : "-"}</div>
											</div>
										</div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'kode_pos.label'}</div>
                                                <div class="detail-description col-md-9">${penyedia?.kode_pos != null ? penyedia?.kode_pos : "-"}</div>
                                            </div>
                                        </div>
										<div class="detail-item">
											<div class="row">
												<div class="detail-heading col-md-2">&{'email.label'}</div>
												<div class="detail-description col-md-9">${penyedia?.email != null ? penyedia?.email : "-"}</div>
											</div>
										</div>
										<div class="detail-item">
											<div class="row">
												<div class="detail-heading col-md-2">&{'situs_web.label'}</div>
												<div class="detail-description col-md-9">${penyedia?.website != null ? penyedia?.website : "-"}</div>
											</div>
										</div>
										<div class="detail-item">
											<div class="row">
												<div class="detail-heading col-md-2">&{'nomor_telp.label'}</div>
												<div class="detail-description col-md-9">${penyedia?.no_telp != null ? penyedia?.no_telp : "-"}</div>
											</div>
										</div>
										<div class="detail-item">
											<div class="row">
												<div class="detail-heading col-md-2">&{'nomor_fax.label'}</div>
												<div class="detail-description col-md-9">${penyedia?.no_fax != null ? penyedia?.no_fax : "-"}</div>
											</div>
										</div>
										<div class="detail-item">
											<div class="row">
												<div class="detail-heading col-md-2">&{'npwp.label'}</div>
												<div class="detail-description col-md-9">${penyedia?.npwp != null ? penyedia?.npwp : "-"}</div>
											</div>
										</div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'pkp.label'}</div>
                                                <div class="detail-description col-md-9">${penyedia?.pkp != null ? penyedia?.pkp : "-"}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'penyedia_komoditas.label'}</div>
                                                <div class="detail-description col-md-9">
													#{if !komoditasList.isEmpty()}
														<ol>
															#{list komoditasList, as:'komoditas'}
																<li>${komoditas.nama_komoditas}</li>
															#{/list}
														</ol>
													#{/if}
													#{else }-#{/else}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'tipe_penyedia.label'} (&{'ukm.label'}/Non)</div>
                                                <div class="detail-description col-md-9">
													#{if penyedia?.is_umkm != null}
														#{if penyedia?.is_umkm == 1}
															&{'usaha_kecil.label'}
														#{/if}
														#{elseif penyedia?.is_umkm == 2}
															&{'usaha_menengah.label'}
														#{/elseif}
														#{else}
                                                            Non &{'ukm.label'}
														#{/else}
													#{/if}
													#{else}-#{/else}
												  </div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'dokumen_pendukung.label'} &{'ukm.label'}</div>
                                                <div class="detail-description col-md-9">
													#{if !dokumenUkmList.isEmpty()}
														<ol>
															#{list dokumenUkmList, as:'dokumen'}
																<li>
																	#{if aktifUser.roleItems.contains(models.secman.Acl.COM_PENYEDIA_DOKUMEN_UKM_VIEW.namaRole)}
																		<a href="${dokumen.download_url}">${dokumen.file_label}</a>
																	#{/if}#{else }
																		${dokumen.file_label}
																	#{/else}
																</li>
															#{/list}
														</ol>
													#{/if}
													#{else }-#{/else}
                                                </div>
                                            </div>
                                        </div>
									</div>
									
									<h5>&{'representatif.label'}</h5>
									<div style="overflow-x: auto">
										<table class="table table-condensed table-bordered">
											<thead>
											<tr>
												<th>&{'nama.label'}</th>
												<th>&{'nomor_telp_selular.label'}</th>
												<th>&{'email.label'}</th>
											</tr>
											</thead>
											<tbody>
											#{list penyedia.representatives, as:'rep'}
											<tr>
												<td style="text-align: center">${rep.nama}</td>
												<td style="text-align: center">${rep.no_telp}</td>
												<td style="text-align: center">${rep.email}</td>
											</tr>
											#{/list}
											</tbody>
										</table>
									</div>
								</div>
								<!-- End Informasi Penyedia -->
						
								<!-- Form Distributor -->
								<div role="tabpanel" class="tab-pane" id="distributor" style="overflow-x: auto">
									<table class="table table-condensed table-bordered">
										<thead>
										<tr>
											<th>&{'nama.label'}</th>
											<th>&{'nomor_telp.label'}</th>
											<th>&{'email.label'}</th>
											<th>&{'situs_web.label'}</th>
										</tr>
										</thead>
										<tbody>
										#{list penyedia.distributors, as:'dist'}
										<tr>
											<td style="text-align: center"><a href="@{penyedia.DistributorCtr.detail(penyedia.id,dist.id)}">${dist.nama_distributor}</a></td>
											<td style="text-align: center">${dist.no_telp}</td>
											<td style="text-align: center">${dist.email}</td>
											<td style="text-align: center">${dist.website}</td>
										</tr>
										#{/list}
										</tbody>
									</table>
								</div>
								<!-- End Distributor -->
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	
</div>